Kubernetes
action Node

# cordon_node

Cordon nodes matching the given label or name, so that no pods are scheduled on them any longer

Run it now
View details

Type | action
Module | chaosk8s.node.actions
Name | cordon_node
Return | None

Usage

JSON

    {
      "name": "cordon-node",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.actions",
        "func": "cordon_node"
      }
    }

YAML

    name: cordon-node
    provider:
      func: cordon_node
      module: chaosk8s.node.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | No | Name | Specifiy a node name or a label selector below
label_selector | string |  | No | Label Selector | Selectors to target the appropriate nodes

Signature

    def cordon_node(name: str = None,
                    label_selector: str = None,
                    secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  probe Node

  ## `nodes_must_be_healthy`

  Verify a set of conditions against a set of nodes: * FrequentKubeletRestart must be False * FrequentDockerRestart must be False * FrequentContainerdRestart must be False * ReadonlyFilesystem must be False * KernelDeadlock must be False * CorruptDockerOverlay2 must be False * FrequentUnregisterNetDevice must be False * NetworkUnavailable must be False * FrequentKubeletRestart must be False * MemoryPressure must be False * DiskPressure must be False * PIDPressure must be False * Ready must be True
- Kubernetes
  probe Node

  ## `all_nodes_must_be_ready_to_schedule`

  Verifies that all nodes in the cluster are in Ready condition and can be scheduled.
- Kubernetes
  probe Node

  ## `nodes_must_be_healthy`

  Verify a set of conditions against a set of nodes: * FrequentKubeletRestart must be False * FrequentDockerRestart must be False * FrequentContainerdRestart must be False * ReadonlyFilesystem must be False * KernelDeadlock must be False * CorruptDockerOverlay2 must be False * FrequentUnregisterNetDevice must be False * NetworkUnavailable must be False * FrequentKubeletRestart must be False * MemoryPressure must be False * DiskPressure must be False * PIDPressure must be False * Ready must be True